### Constructor

# MalcontentUi RestrictApplicationsDialog new

since: 0.5.0

#### Declaration [src]

    MctRestrictApplicationsDialog*
    mct_restrict_applications_dialog_new (
      MctAppFilter* app_filter,
      const gchar* user_display_name
    )

#### Description [src]

Create a new `MctRestrictApplicationsDialog` widget.

Available since: 0.5.0

#### Parameters

`app_filter`

  Type: `MctAppFilter`

  The initial app filter configuration to show.

  The data is owned by the caller of the function.

`user_display_name`

  Type: `const gchar*`

  The display name of the user to show the app filter for, or `NULL` if no user is selected.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `MctRestrictApplicationsDialog`

A new restricted applications editing dialog.

The caller of the function takes ownership of the data, and is responsible for freeing it.